Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1201322 - The source distribution for .NET client contains sources from wrong Cpp client's version
Summary: The source distribution for .NET client contains sources from wrong Cpp clien...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: C# Client
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 6.5.0
Assignee: Martin Gencur
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 13:48 UTC by Martin Gencur
Modified: 2015-04-22 12:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-22 12:38:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Gencur 2015-03-12 13:48:48 UTC
The source distribution contains infinispan-cpp-client folder contains sources for 
infinispan-hotrod-cpp-6.2.0.ER1.

The version should be 6.2.1.ER1, IMO.

Comment 2 Martin Gencur 2015-03-13 08:05:15 UTC
Also, the source distribution contains documentation folder with files that point to community Infinispan 6.0. There are several references of this kind. Maybe they could be tackled as part of this BZ as well.

Comment 3 Ion Savin 2015-03-13 10:36:18 UTC
Re-assinging as it's a productization specific script.

Comment 4 Dave Stahl 2015-03-18 13:09:45 UTC
The infinispan-cpp-client folder should be removed from the source distribution altogether.  It is needed for the prod build but useless otherwise.

Comment 5 Sebastian Łaskawiec 2015-03-20 08:54:19 UTC
In ER2 there is no infinispan-cpp-client directory

Comment 6 Sebastian Łaskawiec 2015-03-20 08:58:19 UTC
I've been looking at the links you mentioned... Here is an example from CPP client:

documentation/index.adoc:link:http://infinispan.org/docs/6.0.x/contributing/contributing.html#_source_control[Contributing Guide]

Unfortunately the link with 6.2.x does not exist (http://infinispan.org/docs/6.2.x/contributing/contributing.html#_source_control)

I'm afraid we need to leave those links as is.

Comment 7 Sebastian Łaskawiec 2015-03-20 13:11:46 UTC
After having a small chat with David Stahl it turned out that this happened after some problems with releasing. It shouldn't happen in the following releases.

I suggest closing it.


Note You need to log in before you can comment on or make changes to this bug.